org.apache.maven.scm.client.cli

## Class MavenScmCli

- java.lang.Object
- - org.apache.maven.scm.client.cli.MavenScmCli

    public class MavenScmCli
    extends Object

Version:
  $Id: MavenScmCli.java 686092 2008-08-14 23:50:12Z vsiveton $
Author:
  Trygve Laugstøl, Emmanuel Venisse

### Constructor Summary

Constructors
Constructor and Description
`MavenScmCli()`

### Method Summary

Methods
`void` `execute(String scmUrl, String command, File workingDirectory, ScmVersion version)`
`static void` `main(String[] args)`
`void` `stop()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MavenScmCli

    public MavenScmCli()
                throws Exception

Throws:
  `Exception`

### Method Detail

#### stop

    public void stop()

#### main

    public static void main(String[] args)

#### execute

    public void execute(String scmUrl,
               String command,
               File workingDirectory,
               ScmVersion version)